﻿#Day 1
label Day01:
    scene Darkness with Fade(3.0,0.0,3.0)
    "-Day 1-"
    $ Day = 1
    #play music MontaukPoint
    scene Driving
    "I always loved that one moment when you realized you've made it to the ocean."
    "Seeing the estuaries stretching alongside the road, rolling the window down to take in the salty air,
        leaning your hand out the window to feel the cool breeze against it..."
    "It's a full sensory experience. Your eyes, your nose, the tips of your fingers,
        they all work in unison to call back the memories you have there."
    "As I took it all in, my Mom turned and smiled at me."
    show Magnolia Content
    Mo  "Still excited?"
    Me  "Of course! It's going to be amazing."
    show Magnolia Worried
    Mo  "I know, you just had a look on your face, like you were worried about something."
    Me  "I was just thinking. Every time we drive by here it reminds me of all the beach trips we used to take."
    show Magnolia Content
    Mo  "The smell reminds ME of the buckets you used to take home every time."
    Mo  "It took weeks for those shells and rocks to stop stinking up the house."
    "I chuckled a bit and smiled at her."
    Me  "Thanks for putting up with that."
    Me  "You know, that's probably the reason we're here today."
    show Magnolia Beam
    Mo  "My little biologist!"
    "She reached over an nudged me with her hand. I shied away a bit."
    Mo  "I'm so proud of how you've grown up."
    menu:
        "Thanks Mom":
            Mo  "Of course, honey."
        "C'mon... stop it":
            show Magnolia Content
            Mo  "Oh am I embarrassing you?"
            "She nudged me again and turned back to driving."
    show Magnolia Content
    Mo "I just can't believe everything worked out so well. This is going to be a great trip."
    Me "Yeah, I hope so..."
    hide Abalone

label A1C:
    scene Dock with fade
    "Eventually we made it the dock."
    show Magnolia Worried
    Mo "Are you sure you have everything?"
    Me "It’s fine, Mom. I checked off the whole list, remember?"
    show Magnolia Content
    Mo "I’m just worried, sweetie."
    Mo "Oh! I think they’re letting people on, do you have your ticket ready?"
    Me "It's right here ok?"
    "I held the ticket up to her and smiled."
    Me "I’m fine Mom, I promise."
    show Magnolia Beam
    Mo "I'm sorry, you know how I get."
    show Magnolia Content
    Mo "Are you sure Daniel isn't coming to see you off? I'd hate for him to miss it."
    Me "He said he didn't want to come."
    Me "I think he's still upset about the whole thing..."
    show Magnolia Frown
    Mo "Well, I'll have to talk to his mother then, make sure he's doing alright."
    Me "I'm sure he'll be fine. I have to go now ok?"
    "She put her arms on my shoulders and looked right into my eyes."
    Mo "You sure you're ok?"
    Me "YES, Mom. I'm fine."
    "She pulled me close and gave me a big hug."
    show Magnolia Beam
    Mo "Ok, Honey. Love you lots. Be safe and call often!"
    Me "I will!"
    hide Magnolia
    "Shifting the weight of the bag on my shoulder I turned toward the boat."
    "The crowd around me slowly funneled up a small gangway to the ship, which towered above the pier."
    "I squeezed through a booth and presented my ticket to the attendant, who hastily scanned it and motioned me forward."
    "As I took my first steps onto the long ramp, the grandeur of the situation began to set in."
    "This is it. This is one of the big moments in my life."
    "This is when I truly leave home for the first time and set off on my own adventure."
    "Still, I do wish Daniel was here to send me off. I guess he took the news pretty hard."
    "I can’t imagine what he would be like if I actually told him the truth…"

label A2:
    scene Stern with fade
    "Following the long line of people, I shuffled my way to the top of the gangway and took in my first real sight of the ship."
    "The crowd was being herded onto a large deck, where they began to set down their bags and survey their surroundings."
    "Looking up at the second level of the cruise ship, I saw a man in a captain’s uniform standing with his hands behind his back, looking down at all the movement."
    #play music YoungHeroes fadeout 4.0 fadein 1.0
    "Placing a hand on the railing, he leaned forward and smiled."
    show Samuel Smile
    "As the last of the passengers reached the deck, one of the crew motioned to the Captain, who began to clear his throat."
    Sa1 "Good morning everyone! We'd just like a few minutes of your time before you begin to find your rooms."
    Sa1 "Hello! And welcome to Thames’ cruise lines. My name is Samuel and I will be your captain on this voyage."
    Sa "I’d like to introduce our wonderful crew who will be available at any time to make sure you’re safe, happy, and comfortable."
    "He gestured grandly to the crew below him who smiled and waved."
    Sa "If you need help with anything at all, please feel free to find one us. I promise, we’re happy to help. "
    #show Samuel Grand
    Sa "Now, welcome to the time of your life! "
    "The captain threw his hands in the air as he said this, which was met with great applause."
    hide Samuel
    #play music MontaukPoint fadeout 2.0 fadein 1.0
    "As boat began to slowly move away from the dock, I turned to face the small group waving goodbye."
    "I picked my mom out of the crowd, smiling and waving vigorously."
    "I waved back, keeping her in sight until we were quite far from the shore."
    "Looking around, I realized I was one of only a few people still on the deck."
    "They probably headed below to get rid of their bags. I suppose I may as well follow suit."
    scene Cabin with fade
    "The room was nice enough, small but cozy."
    "The only features were a table that appeared to fold up against the wall, a collapsable chair, and a bed built into the end of the room."
    "The ends of the bed were flush with the walls of the room, one of which had a small porthole that cast a beam of sunlight onto the floor."
    "Alongside the entryway were two doors, a closet and a compact bathroom."
    "Tossing my bag on the table, I knelt on the bed and looked out the porthole above it."
    "The view was simply two shades of blue, the darker waves fading out into the horizon."
    "As nice as the room was, I didn't feel like I could stay there for too long."
    "It's going to be a long trip, but I'm sure there will be plenty of ways to pass the time."
    scene Hallway with fade
    "I made my way through the halls of the ship,
        doing my best to navigate past the people spilling out into the hallways as they tried to cram their luggage into the small rooms."
    "As I passed an information booth I grabbed a paper map, opening it up and tracing my finger along the different locations."
    "Dining room, pool, auditorium..."
    "A loud laugh broke my concentration."
    show Daniel Beam
    show Brittany Smile at right
    "I turned to see two people holding opposite ends of a map."
    "They seemed to be play fighting, pulling it away from eachother and pointing vigorously to different sections, laughing the whole time."
    "I didn't recognize the girl but... wait, is that Daniel? How the hell? What is he doing here?"
    "Seeming to finally agree, they lowered the map and started moving in my direction."
    "He’s coming this way, shit... what do I do?"
    "I turned around, but was met with a sizable group of people forming around the information booth."
    "Pushing my way through the crowd I made my way to the nearest door. With a shove, it opened and I slipped inside."
    hide Daniel
    hide Brittany
    scene Cargohold with fade
    #play music DraftyPlaces fadeout 2.0 fadein 1.0
    "My eyes strained to make out the contents of the dark room."
    "I was standing on a metal platform built into the side of the wall, the kind with large holes
        between the metal lattice that really makes you confront the height you're at."
    "From my vantage point I could make out several large shipping containters and various smaller crates and barrels
        lining the room."
    "The room was lit from the center by a series of flourescent lights hanging down from the ceiing,
        casting circles of brightness across the otherwise dark metal floor."
    Me "Well, I guess I found the cargo hold, what a riveting start to my trip."
    "I gingerly made my way down the small flight of metal stairs, the metallic impacts resounding across the room."
    "As I reached the bottom, my eyes began to adjust to the darkness. "
    "Peering curiously around, I made my way through the hold."
    "The whole space was much colder than the rest of the ship, sending a deep chill ran through me as I breathed in the air."
    "It was just as damp as the air above deck, but without that same freshness."
    Me "Jeez, why would a cruise ship even have a cargo hold this size?"
    Me "It's probably just piles and piles of limbo poles and drink umbrellas."
    "As I moved across the room  I tried to make out some of the labels on the crates."
    "Most of it was unhelpful serial numbers and bar codes, but I caught occasional labels for uniforms and foodware."
    "As I progressed, I noticed a faint noise echoing around the room."
    "The closer I got to the back wall, the clearer it became, almost a faint... whisper?"
    "There was the occasion muffled shout that rang through the walls, but this was different..."
    "It was quieter but, more direct?"
    "I couldn't make out the words at all. As I strained to focus, it almost sounded like..."

label A5:
    Un  "Ooof!"
    "My foot hit something soft and I reeled backwards in surprise, landing on the floor with a thump."
    show Aleks Scared
    "Looking up, I realized what, well who, I had stepped on."
    "A young looking deer was sitting with their back against a crate, their eyes wide with surprise."
    Al1  "Wha… What are you doing here?"
    "They didn't have the uniform of a crew member, maybe they were on break or something?"
    "I stammered a response quickly."
    Me  "I’m sorry I was just wandering around and I ended up down here, I didn’t mean to bother you."
    Me  "What are YOU doing here?"
    show Aleks Nervous
    Al1  "Um, yeah… I was doing the same and I kinda fell asleep."
    show Aleks Beam
    Al1  "It’s been kind of a long day, haha."
    Me  "You know it’s only like 11 AM right?"
    show Aleks Nervous
    Al1  "Oh yeah, of course. I figured I’d been asleep a bit longer I guess..."
    "That doesn't really make sense but ok..."
    "I stood up and dusted myself off a bit, extending my hand to help them up."
    "They ignored it, pushing themself up with a nearby crate."
    Me  "Oh, I don’t think I got your name. I’m Oscar."
    show Aleks Concern
    Al1  "I'm Aleks. Nice to meet you."
    Me  "Nice to meet you too."
    "We stood in silence for a moment, they seemed unsure of what to say."
    Me  "Anyway... do you have any idea what that sound is?"
    show Aleks Confused
    "They paused for a moment, seeming to have just become aware of it themself."
    Al  "I’m not really sure. It definitely wasn't there earlier."
    Al  "You think someone left a radio on down here or something?"
    "They turned around and started doing exactly what I was doing earlier,
        slowly making their way around the room, their head turning in small quick movements."
    "After a minute or so, they stopped in front of one of the large shipping containers,
        putting an ear up to the door."
    show Aleks Concern
    Al  "Sounds like it’s coming from here."
    Me  "A bunch of Mangos?"
    Al  "I mean that's what the label says, but something tells me that's not what's actually inside."

label A6:
    Al  "Do you think we should open it?"
    menu:
        "We probably shouldn't...":
            Al  "Yeah, you're probably right. Why don't we just leave and forget about it."
            Al  "I'm gonna go... I'm gonna go back to my room."
            "They turned, walked a few steps, and stopped."
            show Aleks Determined
            Al  "No."
            Me  "No?"
            Al  "I'm going to see what's inside."
            "They turned around quickly and approached the container, putting their hands on the latch."
            "I paused, confused by their quick change of heart."
            show Aleks Smirk
            Al  "You can join me if you like."
            "With a grunt they pulled at a large latch on the front of the container."
            show Aleks Sad
            Al  "It won't budge..."
            "Well, those heroics were short lived."
            "Aleks kicked the container, sending a clang echoing through the room."
            "Looks like we're not going to figure this out after all."
            show Aleks Surprise
            Al  "Whoa! Take a look at this..."
            "Stepping to the side, they revealed a panel that had swung open from the container."
            show Aleks Concern at right
        "Let's do it":
            show Aleks Nervous
            Al  "Are... are you sure?"
            Me  "C'mon. It's gonna drive me crazy if we don't check it out."
            "They paused for a moment, looking extremely concerned, before their face fell to stern determination."
            show Aleks Determined
            Al  "Ok, let's do it."
            hide Aleks
            "With a grunt I pulled at a large latch on the front of the container."
            "It didn't move an inch."
            Me  "There must some sort of lock or something. Is there another lever?"
            "I scanned the front of the container, but didn't see any other mechanism to open it."
            "My eyes suddenly found a strange looking seam on part of the paneling."
            "I pressed my hand against it and the metal swung out with a click."
            Me  "Hey Aleks, you're gonna want to see this."
            show Aleks Surprise at right

    show PanelInactive at truecenter
    Al  "What do you think it is?"
    Me  "Some sort of keypad I guess?"
    show Aleks Concern at right
    Al  "Well I'm guessing we're not gonna find a sticky note with the code on it near here."
    Me  "Yeah, probably not."
    "We stood in silence for a moment, unsure of what to do next."
    "I don't know why, but I felt something strange well up inside me."
    Me  "I think I know the code."
    show Aleks Disbelief at right
    Al  "What do you mean? How you could possibly know it?"
    Me  "I don't know ok? I can just feel it."
    show Aleks Scared at right
    Al  "Fine, go ahead, but if that thing starts beeping I'm booking it."
    "Only partly within my control, my hand began moving towards the buttons."
    hide Aleks
    show Panel at truecenter
    show screen panelScreen

    $ buttons = [0,0,0,0, 0,0,0,0, 0,0,0,0, 0,0,0,0]
    $ numPressed = 0

    label panels:
        python:
            numPressed = 0
            for x in range(0, len(buttons)):
                if buttons[x] == 1:
                    numPressed = numPressed+1

        show Panel at truecenter
        if numPressed == 1:
            show One at truecenter
        if numPressed == 2:
            show Two at truecenter
        if numPressed == 3:
            show Three at truecenter
        if numPressed == 4:
            show Four at truecenter
        if numPressed >= 5:
            show Five at truecenter
            jump donePanel
        call screen panelScreen

    label donePanel:
    "With a whoosh the door swung open, leaving us both in a state of shock."
    show Aleks Surprise at right
    Al  "How the hell did you do that?"
    Me  "I really don't know..."
    Me  "But I guess we should look inside?"

    scene Container with fade
    "As we stepped through the door, the whispering was immediately louder, echoing around the small space."
    "Despite the volume, I still couldn't make out the words."
    "The syllables were harsh and fast, unlike any language I had heard before."
    #play music TheDarknessBelow fadeout 1.0 fadein 1.0
    "The only other thing in the container was a strange looking machine on the far end."
    show Aleks Scared at right
    Al  "What the hell is that thing?"
    "The door behind us swung shut with a bang, causing us both to jump in fear."
    "The only light in the room was from the various screens and buttons on the machine."
    "My eyes were drawn to a bubbling tank near the center."
    "There was some sort of shape inside, barely visible in the dark liquid."
    Me  "It looks like there's something in there."
    show Aleks Groan at right
    Al  "Just don't start hitting any buttons ok? I don't see us getting that lucky twice."
    "I slowly approached the machine, cautiously putting my hand up to the glass."
    "As my fingers made contact with the cold surface, the noise suddenly stopped entirely,
        leaving an eerie silence in the container."
    "Out of the darkness, two bright pink spots slowly grew,
        widening into a pair of glowing circles."
    show Aleks Scared at right
    Al  "Are those… eyes?"
    scene Darkness #no fade
    #####ACTION MUSIC
    "Without warning a strong force hit me in the center of my forehead, sending me falling backward."
    "I felt an immense pressure in my head, with a sharp headache shifting through different parts of my brain."
    "Opening my eyes for a moment, I caught a glimpse of Aleks near me, rolling around in a similar state."
    "Clutching my head, I felt myself go limp as the world went black."

label A7:
    #play music Bittersweet fadeout 1.0 fadein 1.0
    scene CabinDark with Fade(3.0,0,3.0)
    "I woke up in a daze. Sitting up, I could barely make out the contents of the room."
    "It was definitely one of the cabins on the ship, but was it mine?"
    "Yeah, I think those are my bags over there…"
    scene Cabin
    "I reached over and flipped on the light, which was received with a groan from the edge of the bed."
    Me  "Aleks? Is that you?"
    "I leaned over the edge of the bed to see them sprawled out on the floor."
    show Aleks Groggy
    Al  "It’s me. Sorry I crashed in your room. I kinda passed out again."
    Me  "It’s no big deal. You kinda have thing for sleeping on the floor in random places huh?"
    show Aleks Blush
    Al  "Yeah, I guess I do."
    "I rubbed my eyes and attempted to sort through the haze that was the last few hours of my memory."
    Me  "How’d we get here anyway?"
    show Aleks Concern
    Al  "From what I can tell, we were knocked out for a long time."
    Al  "I came to a while before you did so I found your room key and brought you here."
    Al  "I guess I didn’t make it back to my place."
    "I checked my phone. It was 4 AM."
    Me  "No one asked why you were just dragging a body?"
    show Aleks Smile
    Al  "Some random guy helped me out, made some joke about binge drinking too early in the cruise."
    Me  "Well, good to know that if I need to murder anyone this is the place to do it."
    Me  "You know, you don’t have to sleep on the floor."
    Me  "If you’re not gonna go back to your room, why don’t you come up here?"
    show Aleks Smirk
    Al  "In the future I'd advise not preceding that with a murder joke."
    show Aleks Concern
    Al  "But are you sure though? You’re not gonna make it weird?"
    Me  "Seems like things are pretty weird already."
    show Aleks Smirk
    Al  "Fair enough."
    "They stood up, stretched, and climbed onto the bed, shutting off the light as they settled in."
    scene CabinDark
    hide Aleks
    Al  "What do you think that thing was?"
    Me  "I have no idea... but whatever it was, I think it messed me up pretty bad."
    Al  "Me too."
    jump Day02
